Bug 31854 - Installer reboots if a logical partition with zero start, end, and partition type is encountered.
Summary: Installer reboots if a logical partition with zero start, end, and partition ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-15 14:11 UTC by Jeff
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-04 18:46:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff 2001-03-15 14:11:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win98; U)


I had a disk partitioned in Win9x.  I cleared off one of the partitions, but didn't delete the partition.
When I went to install RH7, I chose the fdisk partitioning, chose the proper drive to partition, and
realized that I didn't know which Win9x partition to delete.  I rebooted into Win98SE and deleted
the partition.  When I went back into the RH7 installation, I chose fdisk partitioning, and the computer
rebooted itself.  This was before it gave me a chance to select the drive.  This happened every time.



Reproducible: Didn't try
Steps to Reproduce:
1.Delete a Logical DOS drive in Win98SE fdisk.  It may be significant that there were other logical partitions; I don't know.
2.Attempt to install Red Hat 7
3.Choose fdisk partitioning

Actual Results:  Immediate reboot without error messages.

Expected Results:  Menu asking which disk to partition.

As a diagnostic, I rebooted from the RH7 CDROM.
I started fdisk in the shell on console 2.  Fdisk did not crash or fail in any way.
When verifying the partition table, it gave the warning:
  Partition 5 is empty
The partitions were listed as 1 (FAT32), 2 (Linux), 3 (Windows Extended (LBA)),
6 (Linux), 7(Linux Swap), 8(FAT32).  In expert mode, partition 5 was listed, but was
empty, with zero start, end, and partition type.  The linux partitions were from a separate
old linux installation that I wish to preserve; Partition 5 is where I wish to install RH7.

After deleting partition 5 (and rebooting), the Red Hat installer allowed me to run fdisk again.
I could create a new linux partition, fix the order (xpert menu 'f'), and install RH7 there.

It appears that the Red Hat installer couldn't handle the empty partition created by deleting
partition 5 in Win98.

Comment 1 Michael Fulbright 2001-03-21 19:57:49 UTC
Thank you for the report.

I will keep this information around to help other users.

Comment 2 Michael Fulbright 2001-03-23 16:23:37 UTC
I've made a change to tell the user when this type of partition has been
detected, and inform them we will not install to this type of drive.  This is an
issue I will try to address in a future release. At least it will not segfault now.




Note You need to log in before you can comment on or make changes to this bug.